İçeriğe geç
Influence
Esc
↑↓gezin↵aç⌘Jönizle

Kullanılabilen araçları keşfedin

Bu bearer kimlik bilgisiyle görülebilen araç adlarını, açıklamalarını, izin kapsamlarını, onay gereksinimlerini ve girdi şemalarını döndürür.

GET/api/v1/tools
Yetkilendirme
AuthorizationBearer erişim belirteci · headerzorunlu

İzinleri sınırlandırılmış Influence API anahtarı veya desteklenen OAuth erişim belirteci. Kimlik bilgilerini URL’lere veya araç girdisine koymayın.

Yanıtlar
200

Kullanılabilen araçların tanım bilgileri.

toolsobject[]zorunlu
Özellikleri göster
Öğe türü object olan dizi
annotationsobjectzorunlu
Özellikleri göster
destructiveHintbooleanzorunlu
idempotentHintbooleanzorunlu
openWorldHintbooleanzorunlu
readOnlyHintbooleanzorunlu
confirmationstringzorunlu
İzin verilen değerler:nonerequired
descriptionstringzorunlu
alt uzunluk sınırı: 1 · üst uzunluk sınırı: 1024
gatestringzorunlu
İzin verilen değerler:coregenerative-ai
mutabilitystringzorunlu
İzin verilen değerler:readexternal-readwriteexternal-write
namestringzorunlu
İzin verilen değerler:adAuditQuoteadAuditStartadAuditGetadAuditListsearchfetchprofileGetconnectionStatusGetaccountListcampaignGetcampaignListcampaignDraftSavemediaListmediaImportmediaUploadCreatemediaUploadPartmediaUploadCompletemediaUploadGetmediaUploadAbortmediaGetcampaignReviewcampaignReviewGetcampaignReviewExecutecampaignScheduleBatchReviewcampaignScheduleBatchExecutescheduleListbrandContextGetinsightsAccountListinsightsPostListinsightsRefreshcampaignPlanGetcampaignPlanGenerateimageGenerationQuoteimageGenerationStartimageGenerationListintegrationListgroupListintegrationSchemadevtoOrganizationListdevtoTagListdiscordChannelListdiscourseCategoryListdiscourseTagListdiscourseTopicSearchdribbbleTeamListghostAuthorListghostNewsletterListghostTagListghostTierListhashnodePublicationListlemmyCommunitySearchlistmonkListsGetlistmonkTemplateListmattermostChannelListmeweGroupListpinterestBoardListredditSubredditRequirementsGetredditSubredditSearchslackChannelListteamsChannelListtiktokCreatorInfoGetvkDestinationListwhopCompanyListwhopExperienceListwordpressCategoryListwordpressPostTypeListwordpressTagListwrapcastChannelSearchintegrationSchedulePostToolpostsListToolpostSettingsTool
scopesstring[]zorunlu
en fazla 4 öğe
titlestringzorunlu
alt uzunluk sınırı: 1 · üst uzunluk sınırı: 80
inputSchemaobjectzorunlu
Özellikleri göster
typestringzorunlu
400

Geçersiz istek. Sorgu parametreleri kabul edilmez. Araç doğrulama hataları, araç hata yanıtı yapısında dönebilir.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
401

Eksik, geçersiz veya süresi dolmuş bearer kimlik bilgisi.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
403

Kimlik bilgisi gerekli izinlere sahip değil.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
404

Programatik API veya istenen araç kullanılamıyor.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
429

İstek sıklığı sınırı aşıldı. Bu hata için yeniden deneme yapılabilir.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
503

API kullanılamıyor veya işlem bağlı sistemde yürütülemiyor.

errorobjectzorunlu
Özellikleri göster
codestringzorunlu
messagestringzorunlu
retryablebooleanzorunlu
İstek
curl -X GET 'https://influence.so/api/v1/tools' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Yanıt
{
  "tools": [
    {
      "annotations": {
        "destructiveHint": true,
        "idempotentHint": true,
        "openWorldHint": true,
        "readOnlyHint": true
      },
      "confirmation": "none",
      "description": "string",
      "gate": "core",
      "mutability": "read",
      "name": "adAuditQuote",
      "scopes": [
        "integrations:read"
      ],
      "title": "string",
      "inputSchema": {
        "type": "object",
        "property1": "string",
        "property2": "string"
      },
      "property1": "string",
      "property2": "string"
    }
  ],
  "property1": "string",
  "property2": "string"
}